<?php
namespace nur\data\types;

use nur\t\TestCase;

class STimeslotTypeTest extends TestCase {
  function test() {
    $type = new STimeslotType();

    self::assertSame(null, $type->with(null));
    self::assertSame(false, $type->with(false));
    self::assertSame(null, $type->with(""));
    self::assertSame("15h00-20h00", $type->with("15-20"));
    self::assertSame("15h00-", $type->with("15"));
    self::assertSame("15h00-", $type->with("15-"));
    self::assertSame("-20h00", $type->with("-20"));
  }
}
